InternetExplolerでFacebookページを開くと上段に「We won’t support this browser soon. For a better experience, we recommend using another browser.」と表示されるようになりました。結論から言うと「今は無視してOK」です。


InternetExplolerは古いので新しいEdgeやGoogleのChromeでFacebookを利用してください。という事だけなので、「使えないわけでない」「問題があるわけではない」です。
Facebook(Microsoft)の言い分としては「より良い体験を経験してください」というような感じです。言い換えると「古いのを使ってもらうと困る」という事でもあります。
そのうち強制的に使えなくかもしれませんが、それは数年後の話です。ですので目障りですが新しいやり方を覚えるのは面倒なので、気にせず今のまま使ってください。